
QGIS Application - Bug report #18628

QGIS 3: vertex editor highlights features in non-visible layers

2018-04-04 07:31 PM - Carolyn Krause

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26516

Description

Using vertex editor tool to hover over features, the nodes of those features are highlighted in red. This is fine. But features are highlighted

even from layers that are disabled in layers panel. It seems like features that are disabled in layers panel should not be highlighted.

Related issues:

Related to QGIS Application - Bug report # 18434: QGIS 3.0 new node tool pick... Closed 2018-03-13

History

#1 - 2018-05-03 08:44 PM - Regis Haubourg

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Should be fixed by https://github.com/qgis/QGIS/pull/6657

Please reopen if necessary

#2 - 2018-06-04 12:37 AM - Jürgen Fischer

- Related to Bug report #18434: QGIS 3.0 new node tool picks up nodes of hidden layers & isn;t constrained by selected layers added

#3 - 2018-06-14 08:56 PM - Carolyn Krause

- File Capture14.PNG added

- Status changed from Closed to Reopened

This issue is still occurring in QGIS 3.0.3.

#4 - 2018-06-25 03:58 PM - Tobias Heinzmann

I have the same problem. I'm using QGIS version 3.2.0. It shows mainly layers that are disabled when I want to edit a layer. Is there a way to disable this

behavior? It makes no sense to show objects that are not in the editing mode.

#5 - 2018-10-16 10:22 AM - Chris Buckmaster

I had the same problem and noticed that 'Enable snapping by default' was ticked on under the 'Digitizing' options. Unticking this has removed the issue.

A colleague didn't have this turned on after both completing fresh installs of version 3.2.3 so I am not sure why there are differences?
#6 - 2018-10-16 03:02 PM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (fixed/implemented)

Carolyn Krause wrote:

This issue is still occurring in QGIS 3.0.3.

I tested on master, and despite having snapping enabled for all layers it does not work for invibile layers (as soon you enable one of them it works). Please

test on 3.2/3.3, thanks!

#7 - 2018-10-22 11:12 PM - Carolyn Krause

Tested in 3.2.

I turned off 'enable snapping by default' (in digitizing options). Now the vertex editor only acts on layers which are turned on and in editing mode. So now

it's behaving the way I expect. It's still slightly unexpected that the vertex editor isn't limited to the selected layer, but that's not really a bug.

Just to test, I turned the 'enable snapping by default' option back on. With this option on, the vertex editor highlights all layers, regardless of whether they're

in editing mode or currently visible on the canvas.

So the bug isn't 100% fixed, but turning off the 'enable snapping by default' option is a functional workaround. Thank you!

This might be completely unrelated, but every time I changed the 'enable snapping by default' setting, I got an error message (below). When I click okay on

the error message, QGIS doesn't crash, and nothing bad happens. I get the same error message if I open the options window and click 'ok' without

changing any settings.

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type ClusterPointsAlgorithm has been deleted 

Traceback (most recent call last):

File "C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ClusterPoints\ClusterPoints.py", line 92, in loadAlgorithms

self.addAlgorithm( alg )

RuntimeError: wrapped C/C++ object of type ClusterPointsAlgorithm has been deleted

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 07:18:10) [MSC v.1900 32 bit (Intel)] 

QGIS version: 3.2.3-Bonn Bonn, 9b176802e5

Python Path:

C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\ClusterPoints

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python

C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.2\bin\python36.zip

C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib

C:\Program Files\QGIS 3.2\bin

C:\PROGRA~1\QGIS3~1.2\apps\Python36
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin

C:/Users/CRRGIS/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:\Users\CRRGIS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\DigitizingTools\tools

C:\Users\CRRGIS\AppData\Roaming\QGIS\QGIS3\profiles\default\python\plugins\mmqgis/forms

C:/Users/CRRGIS/Documents/GIS DataBase

#8 - 2018-11-08 09:41 PM - Carolyn Krause

This issue is resolved in QGIS 3.4. Non-visible layers are no longer highlighted by the Vertex Editor. And I love the new option to choose between "Vertex

Tool (All Layers)" and "Vertex Tool (Current Layer)". Thank you!

#9 - 2018-11-09 02:12 AM - Nyall Dawson

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

#10 - 2019-02-02 04:56 AM - Cory Albrecht

Carolyn Krause wrote:

This issue is resolved in QGIS 3.4. Non-visible layers are no longer highlighted by the Vertex Editor. And I love the new option to choose between

"Vertex Tool (All Layers)" and "Vertex Tool (Current Layer)". Thank you!

I am still seeing it in 3.4.4 on Ubuntu GNOME.

#11 - 2019-02-07 11:37 AM - Giovanni Manghi

Cory Albrecht wrote:

Carolyn Krause wrote:

This issue is resolved in QGIS 3.4. Non-visible layers are no longer highlighted by the Vertex Editor. And I love the new option to choose between

"Vertex Tool (All Layers)" and "Vertex Tool (Current Layer)". Thank you!

I am still seeing it in 3.4.4 on Ubuntu GNOME.

there have many fixed in the digitizing tools in the last days, please give qgis master a try.

Files

Capture14.PNG 4.8 KB 2018-06-14 Carolyn Krause
